#!/usr/bin/perl

use Getopt::Long;
use strict;
use Bio::SeqIO;

my $usage= << "JUS";
  usage: perl $0 -in fastaFile
  
  options: -in: Path to the fasta input file [REQUIRED]
  
  purpose: Converts fasta formatted files to gbk files.
  
  results: Prints gbk format to STDOUT
JUS

my ($opt_in);

usage() unless GetOptions(
	"in=s" => \$opt_in
);

if(!$opt_in){
  print STDERR $usage;
  exit;
}

my $in  = Bio::SeqIO->newFh(-file => $opt_in,
                         -format => 'fasta');
my $out = Bio::SeqIO->newFh(-format => 'genbank');
print $out $_ while <$in>;
